Hosted portal API
Endpoints behind the hosted connect page. They authenticate with the portal token in the path.
| Operation | Method and path |
|---|---|
| Portal page data | GET /api/v1/portal/{token} |
| Start connecting a network from the portal | POST /api/v1/portal/{token}/connect |
| Disconnect a network from the portal | POST /api/v1/portal/{token}/disconnect |
GET
/api/v1/portal/{token} Portal page data
portal.info · no API key needed
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
token required | path | string |
Example
curl -X GET "https://api.siaran.my/api/v1/portal/TOKEN" Response 200
9 top-level fields
-
organizationNamestring required -
brandNamestring nullable -
logoUrlstring nullable -
accentColorstring nullable -
teamNamestring required -
allowedTypesstring[] required -
connectedobject[]4 fields
-
typestring -
usernamestring nullable -
displayNamestring nullable -
avatarUrlstring nullable
-
-
redirectUrlstring nullable -
expiresAtstring date-time
POST
/api/v1/portal/{token}/connect Start connecting a network from the portal
portal.connect · no API key needed
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
token required | path | string |
Request body application/json
-
typestring required -
serverUrlstring nullable
Example
curl -X POST "https://api.siaran.my/api/v1/portal/TOKEN/connect" \
-H "content-type: application/json" \
-d '{
"type": "string"
}' Response 200
1 top-level fields
-
urlstring required
POST
/api/v1/portal/{token}/disconnect Disconnect a network from the portal
portal.disconnect · no API key needed
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
token required | path | string |
Request body application/json
-
typestring required
Example
curl -X POST "https://api.siaran.my/api/v1/portal/TOKEN/disconnect" \
-H "content-type: application/json" \
-d '{
"type": "string"
}' Response 200
1 top-level fields
-
successboolean required